import type { WithNormalizedProps } from "../../global";
interface FakeLinkInput extends Omit<Marko.HTML.Button, `on${string}`> {
    variant?: "inline" | "standalone";
    "on-click"?: (event: {
        originalEvent: MouseEvent;
    }) => void;
    "on-escape"?: (event: {
        originalEvent: KeyboardEvent;
    }) => void;
    "on-focus"?: (event: {
        originalEvent: FocusEvent;
    }) => void;
    "on-blur"?: (event: {
        originalEvent: FocusEvent;
    }) => void;
}
export interface Input extends WithNormalizedProps<FakeLinkInput> {
}
declare class FakeLink extends Marko.Component<Input> {
    handleClick(originalEvent: MouseEvent): void;
    handleKeydown(originalEvent: KeyboardEvent): void;
    handleFocus(originalEvent: Event): void;
    handleBlur(originalEvent: Event): void;
}
export default FakeLink;
